For the complete documentation index, see llms.txt. This page is also available as Markdown.

KYC Requirements

KYC requirements details

This endpoint returns required KYC requirements details specific to the country.

  • Supported Currencies: To view the list of all the fiat currencies supported by Onramp(all countries not supported for this KYC flow), click here.

  • If a country is included in the address key of KYC requirement json, provide the Alpha-2 code (for FRANCE , the alpha-2 code is FR) for that particular country in address key.

  • Date of Birth (DOB) sent as YYYY-MM-DD format.

  • For certain countries (VND, THB, ZAR, NGN), the response includes a KYC widget URL(kycLink). You should pass the redirectUrl parameter to direct users back to the client page after completing the KYC process.

  • type is the identity type of document, to be sent in KYC endpoints as per the requirements.

    Below is documents key from the json response:

    "documents": {
        "1": { // type of the id, to be sent in request body
                    "idName": "National ID ",
                    "files": [
                        "idFront1.jpg",
                        "idBack1.jpg",
                        "selfie.jpg"
                    ]
                },
                "3": { // type of the id, to be sent in request body
                    "idName": "Passport",
                    "files": [
                        "passportFront.jpg",
                        "passportBack.jpg",
                        "selfie.jpg"
                    ]
                },
                "4": { // type of the id, to be sent in request body
                    "idName": "Driving License",
                    "files": [
                        "drivingLicenseFront.jpg",
                        "drivingLicenseBack.jpg",
                        "selfie.jpg"
                    ]
                }
            }
    

POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyc/requirements

Query Parameters

Name
Type
Description

fiatType*

Integer

(12 - EUR, 15 - KES)

customerId*

String

customerId returned from /kyc/url

redirectUrl

String

E.g. https://api.client.com For certain countries (VND, THB, ZAR, NGN), the response includes a KYC widget URL. You should pass the redirectUrl parameter to direct users back to the client page after completing the KYC process.

Last updated